Subject: Re: [1.7] passwd: useless if used with a logged on domain user
From: Júlio Costa <[email-masked]>
To: [email-masked]
Date: Sun, 22 Mar 2009 17:34:44 +0000
List-Id: <cygwin.cygwin.com>

Hi Corinna,

On Sun, Mar 22, 2009 at 10:09, Corinna Vinschen wrote:
> On Mar 21 11:10, Corinna Vinschen wrote:
>> On Mar 20 18:43, Julio Emanuel wrote:
>> > Hi,
>> >
>> > I've been tracing some problems related to the installation scripts of
>> > ssh (more info on another mail later), and the root cause for one of
>> > the problems is the passwd misbehaving.
>> > The test case is very simple. Log on with a domain user on a cygwin
>> > shell. My particular case, it's an local Administrator, but not Domain
>> > Admin (as 99% of users in a corporate network out there, I suppose).
>> >
>> > ~ $ id
>> > uid=18606(security) gid=10513(Domain Users)
>> > groups=0(root),544(Administrators),545(Users),10513(Domain Users)
>> >
>> > Now, just try to do pretty much anything with passwd:
>> >
>> > ~ $ passwd -v
>> > passwd (cygwin) 1.5
>> > Password Utility
>> > Copyright 1999, 2000, 2001, 2002, 2003 Red Hat, Inc.
>> > Compiled on Mar 11 2009
>> >
>> > ~ $ passwd
>> > passwd: unknown user security
>> >
>> > ~ $ passwd SYSTEM
>> > passwd: unknown user security
>> >
>> > ~ $ passwd Administrator
>> > passwd: unknown user security
>> >
>> > Am I missing something here?
>> > How can I make it work with local users, when I'm logged on with a Domain user?
>>
>> That doesn't look too well, but I can't reproduce the effect.
>
> I could today.  The bug is fixed in CVS.
>

WOW! That was fast! Thanks!

Although it does not produce that error message constantly, I'm still
unable to use consistently this tool.
I think some program logic has to change, although I'm not certain of
what/where.

I'll try to explain with samples plus comments:

~ $ # Who are you?
~ $ ./my_passwd.exe -v
my_passwd (cygwin) 1.5
Password Utility
Copyright 1999, 2000, 2001, 2002, 2003 Red Hat, Inc.
Compiled on Mar 22 2009

~ $ # Ok. Now the no-brainer:
~ $ ./my_passwd.exe
Enter the new password (minimum of 5, maximum of 8 characters).
Please use a combination of upper and lower case letters and numbers.
Old password:

~ $ # Just typed Ctrl-C. Not in the mood right now :)
~ $ # And now for the interesting part:
~ $ ./my_passwd.exe -S SYSTEM
my_passwd: unknown user SYSTEM

~ $ # Ooops. And what about
~ $ ./my_passwd.exe -S Administrator
You have no maintenance privileges.

~ $ # Ouch. If I may insist:
~ $ ./my_passwd.exe -d $HOSTNAME -S Administrator
my_passwd: unknown user security

~ $ # Ouch Ouch. Now we're back to the start.. :(

Sooo... What I think is that there is a lack of distinction between
the current user's domain AND the target's domain.
Where the latter should always assumed as the local machine, if not
instructed otherwise, and not derived from the current user's domain.

What do you think, Corinna?
I am missing some trick to have passwd give me '--status' on local
users? Or is really needed this program logic change?

Thanks for your help!
___________
Julio Costa

Robert Benchley  - "I have tried to know absolutely nothing about a
great many things, and I have succeeded fair...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/